Subject: Re: Feedback needed on proposed cygwin feature
From: [email-masked] (Chris Faylor)

2 Dec 1997 11:33:07 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
 <[email-masked]> wrote:
>                                     D0TNG (D0 AXP cluster) @FNAL,  1-DEC-1997
>---------------------------------------------------------------------------
>> From:	SMTP%"[email-masked]"  1-DEC-1997 06:08:43.18
>> To:	JONCKHEERE
>> CC:	
>> Subj:	Feedback needed on proposed cygwin feature
>> 
>> I have recently provided a patch to Cygnus to provide control of various
>> environment variable settings on a program by program basis.
>
>Is this patch generally available yet? If so where? If not when can we
>expect to see it?

I submitted the patch for B19 but it was "rejected" due to the radical
nature of the change.  Geoffrey asked that I get feedback from the group
before he committed to adding it.
 
>> My changes cause a program to read the registry for options settings prior
>> to reading settings from the environment.  So, for instance, you can do
>> something like this:
>> 
>> 	cygwin -o 'c:\bin\bash.exe' binmode notitle
>> 
>> That will set options in the registry which will cause bash to always
>> use 'binmode' as its default and to never modify the title bar.
>> 
>> The available options are:
>> 
>> 	[no]binmode		- Set default open mode
>> 	[no]title		- Display program names on the console
>> 				  title bar
>> 	[no]glob		- [Do not] interpret wild cards on commands
>> 				  run from CMD.
>> 	[no]strip_title		- [Do not] strip the path component of files
>> 				  names displayed in the title bar
>> 	[no]tty			- Attach a UNIX-style tty to the program
>> 
>> All of the above are available as normal CYGWIN_* environment variables:
>> 
>> 	CYGWIN_BINMODE, CYGWIN_NOBINMODE
>> 	CYGWIN_TITLE, CYGWIN_NOTITLE
>> 	etc.
>> 
>> These settings are similar to those found in Sergey's recent coolview
>> release except that it is possible to say CYGWIN_NOTITLE as well as
>> CYGWIN_TITLE.
>
>Can the list of variables be expanded by the user? I'd like to be able
>to do things like setting PYTHONPATH (or just PATH) to an arbitrary
>value depending on the exe, and the version of the exe, I'm running. 

Currently the list of options is fixed.  If you want to add arbitrary
environment variables from the registry then possibly that would be
another mechanism entirely.  Maybe something like:

cygwin -e c:\usr\local\bin\python.exe PATH='/python/bin:/bin' LIB='/python/lib'

I think it's a good idea, though.
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".